Functions
Configuration functions
Peripheral Driver » LL Driver » DMA » Functions
Collaboration diagram for Configuration functions:

## Functions
__STATIC_INLINE void | ll_dma_enable (dma_regs_t *DMAx)
| Enable DMA Module. More...
__STATIC_INLINE void | ll_dma_disable (dma_regs_t *DMAx)
| Disable DMA Module. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable (dma_regs_t *DMAx)
| Check if DMA Module is enabled or disabled. More...
__STATIC_INLINE void | ll_dma_enable_channel (dma_regs_t *DMAx, uint32_t channel)
| Enable DMA channel. More...
__STATIC_INLINE void | ll_dma_disable_channel (dma_regs_t *DMAx, uint32_t channel)
| Disable DMA channel. More...
__STATIC_INLINE uint32_t | ll_dma_is_enabled_channel (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA channel is enabled or disabled. More...
__STATIC_INLINE void | ll_dma_suspend_channel (dma_regs_t *DMAx, uint32_t channel)
| Suspend a DMA channel transfer. More...
__STATIC_INLINE void | ll_dma_resume_channel (dma_regs_t *DMAx, uint32_t channel)
| Resume a DMA channel. More...
__STATIC_INLINE uint32_t | ll_dma_is_suspended (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA channel is suspended or resumed. More...
__STATIC_INLINE uint32_t | ll_dma_is_empty_fifo (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA channel FIFO is empty. More...
__STATIC_INLINE void | ll_dma_config_transfer (dma_regs_t *DMAx, uint32_t channel, uint32_t configuration)
| Configure all parameters link to DMA transfer. More...
__STATIC_INLINE void | ll_dma_set_data_transfer_direction (dma_regs_t *DMAx, uint32_t channel, uint32_t direction)
| Set Data transfer direction (read from peripheral or from memory). More...
__STATIC_INLINE uint32_t | ll_dma_get_data_transfer_direction (dma_regs_t *DMAx, uint32_t channel)
| Get Data transfer direction (read from peripheral or from memory). More...
__STATIC_INLINE void | ll_dma_set_mode (dma_regs_t *DMAx, uint32_t channel, uint32_t mode)
| Set DMA mode Single block or Multi block. More...
__STATIC_INLINE uint32_t | ll_dma_get_mode (dma_regs_t *DMAx, uint32_t channel)
| Get DMA mode circular or normal. More...
__STATIC_INLINE void | ll_dma_set_max_amba_burst (dma_regs_t *DMAx, uint32_t channel, uint32_t beats)
| Set Maximum AMBA Burst Length. More...
__STATIC_INLINE uint32_t | ll_dma_get_max_amba_burst (dma_regs_t *DMAx, uint32_t channel)
| Get source status after each block tranfer completed. More...
__STATIC_INLINE void | ll_dma_set_sstat (dma_regs_t *DMAx, uint32_t channel, uint32_t sstat)
| Set source status after each block tranfer completed. More...
__STATIC_INLINE uint32_t | ll_dma_get_sstat (dma_regs_t *DMAx, uint32_t channel)
| Get source status after each block tranfer completed. More...
__STATIC_INLINE void | ll_dma_set_dstat (dma_regs_t *DMAx, uint32_t channel, uint32_t dstat)
| Set deatination status after each block tranfer completed. More...
__STATIC_INLINE uint32_t | ll_dma_get_dstat (dma_regs_t *DMAx, uint32_t channel)
| Get deatination status after each block tranfer completed. More...
__STATIC_INLINE void | ll_dma_set_sstatar (dma_regs_t *DMAx, uint32_t channel, uint32_t sstatar)
| Set source status address after each block tranfer completed. More...
__STATIC_INLINE uint32_t | ll_dma_get_sstatar (dma_regs_t *DMAx, uint32_t channel)
| Get source status address after each block tranfer completed. More...
__STATIC_INLINE void | ll_dma_set_dstatar (dma_regs_t *DMAx, uint32_t channel, uint32_t dstatar)
| Set deatination status address after each block tranfer completed. More...
__STATIC_INLINE uint32_t | ll_dma_get_dstatar (dma_regs_t *DMAx, uint32_t channel)
| Get deatination status address after each block tranfer completed. More...
__STATIC_INLINE void | ll_dma_set_llp_loc (dma_regs_t *DMAx, uint32_t channel, uint32_t llp_loc)
| Set LLP loc. More...
__STATIC_INLINE uint32_t | ll_dma_get_llp_loc (dma_regs_t *DMAx, uint32_t channel)
| Get LLP loc. More...
__STATIC_INLINE void | ll_dma_set_llp_dst_en (dma_regs_t *DMAx, uint32_t channel, uint32_t llp_dst_en)
| Set destination LLP enable. More...
__STATIC_INLINE uint32_t | ll_dma_get_llp_dst_en (dma_regs_t *DMAx, uint32_t channel)
| Get destination LLP enable. More...
__STATIC_INLINE void | ll_dma_set_llp_src_en (dma_regs_t *DMAx, uint32_t channel, uint32_t llp_src_en)
| Set source LLP enable. More...
__STATIC_INLINE uint32_t | ll_dma_get_llp_src_en (dma_regs_t *DMAx, uint32_t channel)
| Get source LLP enable. More...
__STATIC_INLINE void | ll_dma_set_dst_scatter_en (dma_regs_t *DMAx, uint32_t channel, uint32_t dst_scatter_en)
| Set destination scatter enable. More...
__STATIC_INLINE uint32_t | ll_dma_get_dst_scatter_en (dma_regs_t *DMAx, uint32_t channel)
| Get destination scatter enable. More...
__STATIC_INLINE void | ll_dma_set_src_gather_en (dma_regs_t *DMAx, uint32_t channel, uint32_t src_gather_en)
| Set source gather enable. More...
__STATIC_INLINE uint32_t | ll_dma_get_src_gather_en (dma_regs_t *DMAx, uint32_t channel)
| Get source gather enable. More...
__STATIC_INLINE void | ll_dma_set_source_increment_mode (dma_regs_t *DMAx, uint32_t channel, uint32_t src_increment_mode)
| Set Source increment mode. More...
__STATIC_INLINE uint32_t | ll_dma_get_source_increment_mode (dma_regs_t *DMAx, uint32_t channel)
| Get Source increment mode. More...
__STATIC_INLINE void | ll_dma_set_destination_increment_mode (dma_regs_t *DMAx, uint32_t channel, uint32_t dst_increment_mode)
| Set Destination increment mode. More...
__STATIC_INLINE uint32_t | ll_dma_get_destination_increment_mode (dma_regs_t *DMAx, uint32_t channel)
| Get Destination increment mode. More...
__STATIC_INLINE void | ll_dma_set_source_width (dma_regs_t *DMAx, uint32_t channel, uint32_t src_width)
| Set Source transfer width. More...
__STATIC_INLINE uint32_t | ll_dma_get_source_width (dma_regs_t *DMAx, uint32_t channel)
| Get Source transfer width. More...
__STATIC_INLINE void | ll_dma_set_destination_width (dma_regs_t *DMAx, uint32_t channel, uint32_t dst_width)
| Set Destination transfer width. More...
__STATIC_INLINE uint32_t | ll_dma_get_destination_width (dma_regs_t *DMAx, uint32_t channel)
| Get Destination transfer width. More...
__STATIC_INLINE void | ll_dma_set_source_burst_length (dma_regs_t *DMAx, uint32_t channel, uint32_t burst_length)
| Set Source Burst Transaction Length. More...
__STATIC_INLINE uint32_t | ll_dma_get_source_burst_length (dma_regs_t *DMAx, uint32_t channel)
| Get Burst Transaction Length. More...
__STATIC_INLINE void | ll_dma_set_destination_burst_length (dma_regs_t *DMAx, uint32_t channel, uint32_t burst_length)
| Set Destination Burst Transaction Length. More...
__STATIC_INLINE uint32_t | ll_dma_get_destination_burst_length (dma_regs_t *DMAx, uint32_t channel)
| Get Destination Burst Transaction Length. More...
__STATIC_INLINE void | ll_dma_set_channel_priority_level (dma_regs_t *DMAx, uint32_t channel, uint32_t priority)
| Set Channel priority level. More...
__STATIC_INLINE uint32_t | ll_dma_get_channel_priority_level (dma_regs_t *DMAx, uint32_t channel)
| Get Channel priority level. More...
__STATIC_INLINE void | ll_dma_set_block_size (dma_regs_t *DMAx, uint32_t channel, uint32_t block_size)
| Set the block size of a transfer. More...
__STATIC_INLINE uint32_t | ll_dma_get_block_size (dma_regs_t *DMAx, uint32_t channel)
| Get the block size of a transfer. More...
__STATIC_INLINE void | ll_dma_config_address (dma_regs_t *DMAx, uint32_t channel, uint32_t src_address, uint32_t dst_address, uint32_t direction)
| Configure the Source and Destination addresses. More...
__STATIC_INLINE void | ll_dma_set_source_address (dma_regs_t *DMAx, uint32_t channel, uint32_t address)
| Set the Source address. More...
__STATIC_INLINE void | ll_dma_set_destination_address (dma_regs_t *DMAx, uint32_t channel, uint32_t address)
| Set the Destination address. More...
__STATIC_INLINE uint32_t | ll_dma_get_source_address (dma_regs_t *DMAx, uint32_t channel)
| Get Source address. More...
__STATIC_INLINE uint32_t | ll_dma_get_destination_address (dma_regs_t *DMAx, uint32_t channel)
| Get Destination address. More...
__STATIC_INLINE void | ll_dma_set_m2m_src_address (dma_regs_t *DMAx, uint32_t channel, uint32_t address)
| Set the Memory to Memory Source address. More...
__STATIC_INLINE void | ll_dma_set_m2m_dst_address (dma_regs_t *DMAx, uint32_t channel, uint32_t address)
| Set the Memory to Memory Destination address. More...
__STATIC_INLINE uint32_t | ll_dma_get_m2m_src_address (dma_regs_t *DMAx, uint32_t channel)
| Get the Memory to Memory Source address. More...
__STATIC_INLINE uint32_t | ll_dma_get_m2m_dst_address (dma_regs_t *DMAx, uint32_t channel)
| Get the Memory to Memory Destination address. More...
__STATIC_INLINE void | ll_dma_enable_src_stat_update (dma_regs_t *DMAx, uint32_t channel)
| Enable Source Status Update Enable for DMA instance on Channel x. More...
__STATIC_INLINE void | ll_dma_disable_src_stat_update (dma_regs_t *DMAx, uint32_t channel)
| Disable Source Status Update Enable for DMA instance on Channel x. More...
__STATIC_INLINE uint32_t | ll_dma_src_stat_update_is_enable (dma_regs_t *DMAx, uint32_t channel)
| Check if Source Status Update Enable. More...
__STATIC_INLINE void | ll_dma_enable_dst_stat_update (dma_regs_t *DMAx, uint32_t channel)
| Enable Destination Status Update Enable for DMA instance on Channel x. More...
__STATIC_INLINE void | ll_dma_disable_dst_stat_update (dma_regs_t *DMAx, uint32_t channel)
| Disable Destination Status Update Enable for DMA instance on Channel x. More...
__STATIC_INLINE uint32_t | ll_dma_dst_stat_update_is_enable (dma_regs_t *DMAx, uint32_t channel)
| Check if Destination Status Update Enable. More...
__STATIC_INLINE void | ll_dma_set_source_peripheral (dma_regs_t *DMAx, uint32_t channel, uint32_t peripheral)
| Set source peripheral for DMA instance on Channel x. More...
__STATIC_INLINE uint32_t | ll_dma_get_source_peripheral (dma_regs_t *DMAx, uint32_t channel)
| Get source peripheral for DMA instance on Channel x. More...
__STATIC_INLINE void | ll_dma_set_destination_peripheral (dma_regs_t *DMAx, uint32_t channel, uint32_t peripheral)
| Set destination peripheral for DMA instance on Channel x. More...
__STATIC_INLINE uint32_t | ll_dma_get_destination_peripheral (dma_regs_t *DMAx, uint32_t channel)
| Get destination peripheral for DMA instance on Channel x. More...
__STATIC_INLINE void | ll_dma_select_handshaking (dma_regs_t *DMAx, uint32_t channel, uint32_t src_handshaking, uint32_t dst_handshaking)
| Set source and destination source handshaking interface. More...
__STATIC_INLINE void | ll_dma_set_src_gather_sgi (dma_regs_t *DMAx, uint32_t channel, uint32_t src_gather_sgi)
| Set source gather interval. More...
__STATIC_INLINE uint32_t | ll_dma_get_src_gather_sgi (dma_regs_t *DMAx, uint32_t channel)
| Get source gather interval. More...
__STATIC_INLINE void | ll_dma_set_src_gather_sgc (dma_regs_t *DMAx, uint32_t channel, uint32_t src_gather_sgc)
| Set source gather count. More...
__STATIC_INLINE uint32_t | ll_dma_get_src_gather_sgc (dma_regs_t *DMAx, uint32_t channel)
| Get source gather count. More...
__STATIC_INLINE void | ll_dma_set_dst_scatter_dsi (dma_regs_t *DMAx, uint32_t channel, uint32_t dst_scatter_dsi)
| Set destination scatter interval. More...
__STATIC_INLINE uint32_t | ll_dma_get_dst_scatter_dsi (dma_regs_t *DMAx, uint32_t channel)
| Get Set destination scatter interval. More...
__STATIC_INLINE void | ll_dma_set_dst_scatter_dsc (dma_regs_t *DMAx, uint32_t channel, uint32_t dst_scatter_dsc)
| Set destination scatter count. More...
__STATIC_INLINE uint32_t | ll_dma_get_dst_scatter_dsc (dma_regs_t *DMAx, uint32_t channel)
| Get destination scatter count. More...
__STATIC_INLINE void | ll_dma_req_src_single_transaction (dma_regs_t *DMAx, uint32_t channel)
| Source Single Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_src_burst_transaction (dma_regs_t *DMAx, uint32_t channel)
| Source Burst Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_src_last_single_transaction (dma_regs_t *DMAx, uint32_t channel)
| Source Last Single Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_src_last_burst_transaction (dma_regs_t *DMAx, uint32_t channel)
| Source Last Burst Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_dst_single_transaction (dma_regs_t *DMAx, uint32_t channel)
| Destination Single Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_dst_burst_transaction (dma_regs_t *DMAx, uint32_t channel)
| Destination Burst Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_dst_last_single_transaction (dma_regs_t *DMAx, uint32_t channel)
| Destination Last Single Transaction Request. More...
__STATIC_INLINE void | ll_dma_req_dst_last_burst_transaction (dma_regs_t *DMAx, uint32_t channel)
| Destination Last Burst Transaction Request. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_config_address()

__STATIC_INLINE void ll_dma_config_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_address,
|  | uint32_t | dst_address,
|  | uint32_t | direction
| ) |  |

Configure the Source and Destination addresses.

Note
  Each IP using DMA provides an API to get directly the register adress (LL_PPP_DMA_GetRegAddr)

Register | BitsName
--- | ---
SAR | SAR
DAR | DAR
CTL_LO | TT_FC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF
  dst_address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF
  direction | This parameter can be one of the following values: LL_DMA_DIRECTION_MEMORY_TO_MEMORY LL_DMA_DIRECTION_MEMORY_TO_PERIPH LL_DMA_DIRECTION_PERIPH_TO_MEMORY LL_DMA_DIRECTION_PERIPH_TO_PERIPH

Return values

  None |

Definition at line 1812 of file gr55xx_ll_dma.h.

## ◆ ll_dma_config_transfer()

__STATIC_INLINE void ll_dma_config_transfer | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | configuration
| ) |  |

Configure all parameters link to DMA transfer.

Register | BitsName
--- | ---
CCR | DIR
CCR | MEM2MEM
CCR | CIRC
CCR | PINC
CCR | MINC
CCR | PSIZE
CCR | MSIZE
CCR | PL

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  configuration | This parameter must be a combination of all the following values: LL_DMA_MODE_SINGLE_BLOCK or LL_DMA_MODE_MULTI_BLOCK_SRC_RELOAD or LL_DMA_MODE_MULTI_BLOCK_DST_RELOAD or LL_DMA_MODE_MULTI_BLOCK_ALL_RELOAD LL_DMA_SRC_INCREMENT or LL_DMA_SRC_DECREMENT or LL_DMA_SRC_NO_CHANGE LL_DMA_DST_INCREMENT or LL_DMA_DST_DECREMENT or LL_DMA_DST_NO_CHANGE LL_DMA_SDATAALIGN_BYTE or LL_DMA_SDATAALIGN_HALFWORD or LL_DMA_SDATAALIGN_WORD LL_DMA_DDATAALIGN_BYTE or LL_DMA_DDATAALIGN_HALFWORD or LL_DMA_DDATAALIGN_WORD LL_DMA_SRC_BURST_LENGTH_1 or LL_DMA_SRC_BURST_LENGTH_4 or LL_DMA_SRC_BURST_LENGTH_8 LL_DMA_DST_BURST_LENGTH_1 or LL_DMA_DST_BURST_LENGTH_4 or LL_DMA_DST_BURST_LENGTH_8

Return values

  None |

Definition at line 693 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable()

__STATIC_INLINE void ll_dma_disable | ( | dma_regs_t * | DMAx | ) |

Disable DMA Module.

Note
  If the ll_dma_disable() function is called while any dma channel is still active, the ll_dma_is_enable() function still return 1 to indicate that there are channels still active until hardware has terminated all cativity on all channels, at which point the ll_dma_is_enable() function returns 0.

Register | BitsName
--- | ---
CFG_REG | CFG_EN

Parameters

  DMAx | DMA instance.

Return values

  None |

Definition at line 464 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_channel()

__STATIC_INLINE void ll_dma_disable_channel | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable DMA channel.

Register | BitsName
--- | ---
CH_EN_REG | CH_EN_WE&CH_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 529 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_dst_stat_update()

__STATIC_INLINE void ll_dma_disable_dst_stat_update | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Destination Status Update Enable for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | DS_UPD_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2141 of file gr55xx_ll_dma.h.

References LL_DMA_DST_STAT_UPDATE_DISABLE.

## ◆ ll_dma_disable_src_stat_update()

__STATIC_INLINE void ll_dma_disable_src_stat_update | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Source Status Update Enable for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | SS_UPD_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2069 of file gr55xx_ll_dma.h.

References LL_DMA_SRC_STAT_UPDATE_DISABLE.

## ◆ ll_dma_dst_stat_update_is_enable()

__STATIC_INLINE uint32_t ll_dma_dst_stat_update_is_enable | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if Destination Status Update Enable.

Register | BitsName
--- | ---
CFG_HI | SS_UPD_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2165 of file gr55xx_ll_dma.h.

References LL_DMA_DST_STAT_UPDATE_ENABLE.

## ◆ ll_dma_enable()

__STATIC_INLINE void ll_dma_enable | ( | dma_regs_t * | DMAx | ) |

Enable DMA Module.

Note
  This function is used to enable the DMA Module, which must be done before any channel activity can begin.

Register | BitsName
--- | ---
CFG_REG | CFG_EN

Parameters

  DMAx | DMA instance.

Return values

  None |

Definition at line 445 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_channel()

__STATIC_INLINE void ll_dma_enable_channel | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable DMA channel.

Note
  When the DMA Module is disabled, then call this function to DMA_CFG_REG register is ignored and call ll_dma_disable_channel() function will always returns 0.

Register | BitsName
--- | ---
CH_EN_REG | CH_EN_WE&CH_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 505 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_dst_stat_update()

__STATIC_INLINE void ll_dma_enable_dst_stat_update | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Destination Status Update Enable for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | DS_UPD_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2117 of file gr55xx_ll_dma.h.

References LL_DMA_DST_STAT_UPDATE_ENABLE.

## ◆ ll_dma_enable_src_stat_update()

__STATIC_INLINE void ll_dma_enable_src_stat_update | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Source Status Update Enable for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | SS_UPD_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2045 of file gr55xx_ll_dma.h.

References LL_DMA_SRC_STAT_UPDATE_ENABLE.

## ◆ ll_dma_get_block_size()

__STATIC_INLINE uint32_t ll_dma_get_block_size | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get the block size of a transfer.

Note
  Once the channel is enabled, the return value indicate the remaining bytes to be transmitted.

Register | BitsName
--- | ---
CTL_HI | BLOCK_TS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Between | Min_Data = 0 and Max_Data = 0xFFF

Definition at line 1778 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_channel_priority_level()

__STATIC_INLINE uint32_t ll_dma_get_channel_priority_level | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Channel priority level.

Register | BitsName
--- | ---
CFG_LO | CH_PRIOR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_PRIORITY_0 LL_DMA_PRIORITY_1 LL_DMA_PRIORITY_2 LL_DMA_PRIORITY_3 LL_DMA_PRIORITY_4 LL_DMA_PRIORITY_5 LL_DMA_PRIORITY_6 LL_DMA_PRIORITY_7

Definition at line 1726 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_data_transfer_direction()

__STATIC_INLINE uint32_t ll_dma_get_data_transfer_direction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Data transfer direction (read from peripheral or from memory).

Register | BitsName
--- | ---
CTL_LO | TT_FC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_DIRECTION_MEMORY_TO_MEMORY LL_DMA_DIRECTION_MEMORY_TO_PERIPH LL_DMA_DIRECTION_PERIPH_TO_MEMORY LL_DMA_DIRECTION_PERIPH_TO_PERIPH

Definition at line 751 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_destination_address()

__STATIC_INLINE uint32_t ll_dma_get_destination_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Destination address.

Register | BitsName
--- | ---
DAR | DAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Between | Min_Data = 0 and Max_Data = 0xFFFFFFFF

Definition at line 1916 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_destination_burst_length()

__STATIC_INLINE uint32_t ll_dma_get_destination_burst_length | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Destination Burst Transaction Length.

Register | BitsName
--- | ---
CTL_LO | DST_MSIZE

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_DST_BURST_LENGTH_1 LL_DMA_DST_BURST_LENGTH_4 LL_DMA_DST_BURST_LENGTH_8

Definition at line 1661 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_destination_increment_mode()

__STATIC_INLINE uint32_t ll_dma_get_destination_increment_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Destination increment mode.

Register | BitsName
--- | ---
CTL_LO | DINC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_DST_INCREMENT LL_DMA_DST_DECREMENT LL_DMA_DST_NO_CHANGE

Definition at line 1441 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_destination_peripheral()

__STATIC_INLINE uint32_t ll_dma_get_destination_peripheral | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get destination peripheral for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | DST_PER

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Definition at line 2377 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_destination_width()

__STATIC_INLINE uint32_t ll_dma_get_destination_width | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Destination transfer width.

Register | BitsName
--- | ---
CTL_LO | DST_TR_WIDTH

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_DDATAALIGN_BYTE LL_DMA_DDATAALIGN_HALFWORD LL_DMA_DDATAALIGN_WORD

Definition at line 1551 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_dst_scatter_dsc()

__STATIC_INLINE uint32_t ll_dma_get_dst_scatter_dsc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get destination scatter count.

Register | BitsName
--- | ---
DSR | DSC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFF.

Definition at line 2612 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_dst_scatter_dsi()

__STATIC_INLINE uint32_t ll_dma_get_dst_scatter_dsi | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Set destination scatter interval.

Register | BitsName
--- | ---
DSR | DSI

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFF.

Definition at line 2561 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_dst_scatter_en()

__STATIC_INLINE uint32_t ll_dma_get_dst_scatter_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get destination scatter enable.

Register | BitsName
--- | ---
CTL_LO | DST_SCATTER_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_DST_SCATTER_ENABLE LL_DMA_DST_SCATTER_DISABLE

Definition at line 1278 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_dstat()

__STATIC_INLINE uint32_t ll_dma_get_dstat | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get deatination status after each block tranfer completed.

Register | BitsName
--- | ---
DSTAT | DSTAT

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 966 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_dstatar()

__STATIC_INLINE uint32_t ll_dma_get_dstatar | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get deatination status address after each block tranfer completed.

Register | BitsName
--- | ---
DSTATAR | DSTATAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 1068 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_llp_dst_en()

__STATIC_INLINE uint32_t ll_dma_get_llp_dst_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get destination LLP enable.

Register | BitsName
--- | ---
CTL_LO | LLP_DST_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_LLP_SRC_ENABLE LL_DMA_LLP_SRC_DISABLE

Definition at line 1172 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_llp_loc()

__STATIC_INLINE uint32_t ll_dma_get_llp_loc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get LLP loc.

Register | BitsName
--- | ---
CTL_LO | LOC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.(LLI accesses are always 32-bit accesses)

Definition at line 1119 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_llp_src_en()

__STATIC_INLINE uint32_t ll_dma_get_llp_src_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source LLP enable.

Register | BitsName
--- | ---
CTL_LO | LLP_SRC_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_LLP_SRC_ENABLE LL_DMA_LLP_SRC_DISABLE

Definition at line 1225 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_m2m_dst_address()

__STATIC_INLINE uint32_t ll_dma_get_m2m_dst_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get the Memory to Memory Destination address.

Note
  Interface used for direction LL_DMA_DIRECTION_MEMORY_TO_MEMORY only.

Register | BitsName
--- | ---
DAR | DAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Between | Min_Data = 0 and Max_Data = 0xFFFFFFFF

Definition at line 2021 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_m2m_src_address()

__STATIC_INLINE uint32_t ll_dma_get_m2m_src_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get the Memory to Memory Source address.

Note
  Interface used for direction LL_DMA_DIRECTION_MEMORY_TO_MEMORY only.

Register | BitsName
--- | ---
SAR | SAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Between | Min_Data = 0 and Max_Data = 0xFFFFFFFF

Definition at line 1996 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_max_amba_burst()

__STATIC_INLINE uint32_t ll_dma_get_max_amba_burst | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source status after each block tranfer completed.

Register | BitsName
--- | ---
SSTAT | SSTAT

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.
  None |

Definition at line 863 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_mode()

__STATIC_INLINE uint32_t ll_dma_get_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get DMA mode circular or normal.

Register | BitsName
--- | ---
CFG_LO | RELOAD_DST

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_MODE_SINGLE_BLOCK LL_DMA_MODE_MULTI_BLOCK_SRC_RELOAD LL_DMA_MODE_MULTI_BLOCK_DST_RELOAD LL_DMA_MODE_MULTI_BLOCK_ALL_RELOAD

Definition at line 811 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_source_address()

__STATIC_INLINE uint32_t ll_dma_get_source_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Source address.

Register | BitsName
--- | ---
SAR | SAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Between | Min_Data = 0 and Max_Data = 0xFFFFFFFF

Definition at line 1892 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_source_burst_length()

__STATIC_INLINE uint32_t ll_dma_get_source_burst_length | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Burst Transaction Length.

Register | BitsName
--- | ---
CTL_LO | SRC_MSIZE

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_SRC_BURST_LENGTH_1 LL_DMA_SRC_BURST_LENGTH_4 LL_DMA_SRC_BURST_LENGTH_8

Definition at line 1606 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_source_increment_mode()

__STATIC_INLINE uint32_t ll_dma_get_source_increment_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Source increment mode.

Register | BitsName
--- | ---
CTL_LO | SINC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_SRC_INCREMENT LL_DMA_SRC_DECREMENT LL_DMA_SRC_NO_CHANGE

Definition at line 1386 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_source_peripheral()

__STATIC_INLINE uint32_t ll_dma_get_source_peripheral | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source peripheral for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | SRC_PER

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Definition at line 2271 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_source_width()

__STATIC_INLINE uint32_t ll_dma_get_source_width | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get Source transfer width.

Register | BitsName
--- | ---
CTL_LO | SRC_TR_WIDTH

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_SDATAALIGN_BYTE LL_DMA_SDATAALIGN_HALFWORD LL_DMA_SDATAALIGN_WORD

Definition at line 1496 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_src_gather_en()

__STATIC_INLINE uint32_t ll_dma_get_src_gather_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source gather enable.

Register | BitsName
--- | ---
CTL_LO | SRC_GATHER_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: LL_DMA_SRC_GATHER_ENABLE LL_DMA_SRC_GATHER_DISABLE

Definition at line 1331 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_src_gather_sgc()

__STATIC_INLINE uint32_t ll_dma_get_src_gather_sgc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source gather count.

Register | BitsName
--- | ---
SGR | SGC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFF.

Definition at line 2510 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_src_gather_sgi()

__STATIC_INLINE uint32_t ll_dma_get_src_gather_sgi | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source gather interval.

Register | BitsName
--- | ---
SGR | SGI

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFF.

Definition at line 2459 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_sstat()

__STATIC_INLINE uint32_t ll_dma_get_sstat | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source status after each block tranfer completed.

Register | BitsName
--- | ---
SSTAT | SSTAT

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.
  None |

Definition at line 915 of file gr55xx_ll_dma.h.

## ◆ ll_dma_get_sstatar()

__STATIC_INLINE uint32_t ll_dma_get_sstatar | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Get source status address after each block tranfer completed.

Register | BitsName
--- | ---
SSTATAR | SSTATAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  Returned | value can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Definition at line 1017 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_empty_fifo()

__STATIC_INLINE uint32_t ll_dma_is_empty_fifo | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA channel FIFO is empty.

Register | BitsName
--- | ---
CFGL | FIFO_EMPTY

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 654 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable()

__STATIC_INLINE uint32_t ll_dma_is_enable | ( | dma_regs_t * | DMAx | ) |

Check if DMA Module is enabled or disabled.

Register | BitsName
--- | ---
CFG_REG | CFG_EN

Parameters

  DMAx | DMA instance.

Return values

  State | of bit (1 or 0).

Definition at line 479 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enabled_channel()

__STATIC_INLINE uint32_t ll_dma_is_enabled_channel | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA channel is enabled or disabled.

Note
  Software can therefore poll this function to determine when channel is free for a new DMA transfer.

Register | BitsName
--- | ---
CH_EN_REG | CH_EN_WE&CH_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 555 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_suspended()

__STATIC_INLINE uint32_t ll_dma_is_suspended | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA channel is suspended or resumed.

Register | BitsName
--- | ---
CFGL | CH_SUSP

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 630 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_dst_burst_transaction()

__STATIC_INLINE void ll_dma_req_dst_burst_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Destination Burst Transaction Request.

Register | BitsName
--- | ---
REQ_DST | DST_WE&DST

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2766 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_dst_last_burst_transaction()

__STATIC_INLINE void ll_dma_req_dst_last_burst_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Destination Last Burst Transaction Request.

Register | BitsName
--- | ---
LST_DST | LST_DST_WE&LST_DST
REQ_DST | DST_WE&DST

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2819 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_dst_last_single_transaction()

__STATIC_INLINE void ll_dma_req_dst_last_single_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Destination Last Single Transaction Request.

Register | BitsName
--- | ---
SGL_REQ_DST | REQ_DST_WE&REQ_DST
LST_DST | LST_DST_WE&LST_DST
REQ_DST | DST_WE&DST

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2792 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_dst_single_transaction()

__STATIC_INLINE void ll_dma_req_dst_single_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Destination Single Transaction Request.

Register | BitsName
--- | ---
SGL_REQ_DST | REQ_DST_WE&REQ_DST
REQ_DST | DST_WE&DST

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2741 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_src_burst_transaction()

__STATIC_INLINE void ll_dma_req_src_burst_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Source Burst Transaction Request.

Register | BitsName
--- | ---
REQ_SRC | SRC_WE&SRC

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2662 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_src_last_burst_transaction()

__STATIC_INLINE void ll_dma_req_src_last_burst_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Source Last Burst Transaction Request.

Register | BitsName
--- | ---
LST_SRC | LST_SRC_WE&LST_SRC
REQ_SRC | SRC_WE&SRC

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2715 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_src_last_single_transaction()

__STATIC_INLINE void ll_dma_req_src_last_single_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Source Last Single Transaction Request.

Register | BitsName
--- | ---
SGL_REQ_SRC | REQ_SRC_WE&REQ_SRC
LST_SRC | LST_SRC_WE&LST_SRC
REQ_SRC | SRC_WE&SRC

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2688 of file gr55xx_ll_dma.h.

## ◆ ll_dma_req_src_single_transaction()

__STATIC_INLINE void ll_dma_req_src_single_transaction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Source Single Transaction Request.

Register | BitsName
--- | ---
SGL_REQ_SRC | REQ_SRC_WE&REQ_SRC
REQ_SRC | SRC_WE&SRC

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 2637 of file gr55xx_ll_dma.h.

## ◆ ll_dma_resume_channel()

__STATIC_INLINE void ll_dma_resume_channel | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Resume a DMA channel.

Note
  The function may be called after enabling the DMA channel.

Register | BitsName
--- | ---
CFGL | CH_SUSP

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 606 of file gr55xx_ll_dma.h.

## ◆ ll_dma_select_handshaking()

__STATIC_INLINE void ll_dma_select_handshaking | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_handshaking,
|  | uint32_t | dst_handshaking
| ) |  |

Set source and destination source handshaking interface.

Register | BitsName
--- | ---
CFG_HI | DST_PER

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_handshaking | This parameter can be one of the following values: LL_DMA_SHANDSHAKING_HW LL_DMA_SHANDSHAKING_HW
  dst_handshaking | This parameter can be one of the following values: LL_DMA_DHANDSHAKING_HW LL_DMA_DHANDSHAKING_HW

Return values

  None |

Definition at line 2407 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_block_size()

__STATIC_INLINE void ll_dma_set_block_size | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | block_size
| ) |  |

Set the block size of a transfer.

Note
  This action has no effect if channel is enabled.

Register | BitsName
--- | ---
CTL_HI | BLOCK_TS

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  block_size | Between Min_Data = 0 and Max_Data = 0xFFF

Return values

  None |

Definition at line 1752 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_channel_priority_level()

__STATIC_INLINE void ll_dma_set_channel_priority_level | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | priority
| ) |  |

Set Channel priority level.

Register | BitsName
--- | ---
CFG_LO | CH_PRIOR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  priority | This parameter can be one of the following values: LL_DMA_PRIORITY_0 LL_DMA_PRIORITY_1 LL_DMA_PRIORITY_2 LL_DMA_PRIORITY_3 LL_DMA_PRIORITY_4 LL_DMA_PRIORITY_5 LL_DMA_PRIORITY_6 LL_DMA_PRIORITY_7

Return values

  None |

Definition at line 1694 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_data_transfer_direction()

__STATIC_INLINE void ll_dma_set_data_transfer_direction | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | direction
| ) |  |

Set Data transfer direction (read from peripheral or from memory).

Register | BitsName
--- | ---
CTL_LO | TT_FC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  direction | This parameter can be one of the following values: LL_DMA_DIRECTION_MEMORY_TO_MEMORY LL_DMA_DIRECTION_MEMORY_TO_PERIPH LL_DMA_DIRECTION_PERIPH_TO_MEMORY LL_DMA_DIRECTION_PERIPH_TO_PERIPH

Return values

  None |

Definition at line 723 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_destination_address()

__STATIC_INLINE void ll_dma_set_destination_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | address
| ) |  |

Set the Destination address.

Register | BitsName
--- | ---
DAR | DAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF

Return values

  None |

Definition at line 1868 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_destination_burst_length()

__STATIC_INLINE void ll_dma_set_destination_burst_length | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | burst_length
| ) |  |

Set Destination Burst Transaction Length.

Register | BitsName
--- | ---
CTL_LO | DST_MSIZE

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  burst_length | This parameter can be one of the following values: LL_DMA_DST_BURST_LENGTH_1 LL_DMA_DST_BURST_LENGTH_4 LL_DMA_DST_BURST_LENGTH_8

Return values

  None |

Definition at line 1634 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_destination_increment_mode()

__STATIC_INLINE void ll_dma_set_destination_increment_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dst_increment_mode
| ) |  |

Set Destination increment mode.

Register | BitsName
--- | ---
CTL_LO | DINC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dst_increment_mode | This parameter can be one of the following values: LL_DMA_DST_INCREMENT LL_DMA_DST_DECREMENT LL_DMA_DST_NO_CHANGE

Return values

  None |

Definition at line 1414 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_destination_peripheral()

__STATIC_INLINE void ll_dma_set_destination_peripheral | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | peripheral
| ) |  |

Set destination peripheral for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | DST_PER

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  peripheral | This parameter can be one of the following values: LL_DMA0_PERIPH_QSPI0_TX LL_DMA0_PERIPH_QSPI0_RX LL_DMA0_PERIPH_SPIM_TX LL_DMA0_PERIPH_SPIM_RX LL_DMA0_PERIPH_SPIS_TX LL_DMA0_PERIPH_SPIS_RX LL_DMA0_PERIPH_UART0_TX LL_DMA0_PERIPH_UART0_RX LL_DMA0_PERIPH_UART1_TX LL_DMA0_PERIPH_UART1_RX LL_DMA0_PERIPH_SNSADC LL_DMA0_PERIPH_OSPI_TX LL_DMA0_PERIPH_OSPI_RX LL_DMA0_PERIPH_UART2_TX LL_DMA0_PERIPH_UART2_RX LL_DMA0_PERIPH_I2C2_TX LL_DMA0_PERIPH_I2C2_RX LL_DMA0_PERIPH_UART3_TX LL_DMA0_PERIPH_UART3_RX LL_DMA0_PERIPH_I2C5_TX LL_DMA0_PERIPH_I2C5_RX LL_DMA0_PERIPH_I2C4_TX LL_DMA0_PERIPH_I2C4_RX LL_DMA0_PERIPH_UART4_TX LL_DMA0_PERIPH_UART4_RX LL_DMA0_PERIPH_QSPI1_TX LL_DMA0_PERIPH_QSPI1_RX LL_DMA0_PERIPH_I2C3_TX LL_DMA0_PERIPH_I2C3_RX LL_DMA1_PERIPH_OSPI_TX LL_DMA1_PERIPH_OSPI_RX LL_DMA1_PERIPH_QSPI2_TX LL_DMA1_PERIPH_QSPI2_RX LL_DMA1_PERIPH_I2S_M_TX LL_DMA1_PERIPH_I2S_M_RX LL_DMA1_PERIPH_I2S_S_TX LL_DMA1_PERIPH_I2S_S_RX LL_DMA1_PERIPH_PDM_TX LL_DMA1_PERIPH_QSPI1_TX LL_DMA1_PERIPH_QSPI1_RX LL_DMA1_PERIPH_I2C0_TX LL_DMA1_PERIPH_I2C0_RX LL_DMA1_PERIPH_I2C1_TX LL_DMA1_PERIPH_I2C1_RX LL_DMA1_PERIPH_SPIM_TX LL_DMA1_PERIPH_SPIM_RX LL_DMA1_PERIPH_DSPIM_TX LL_DMA1_PERIPH_DSPIM_RX LL_DMA1_PERIPH_QSPI1_TX_2 LL_DMA1_PERIPH_QSPI1_RX_2 LL_DMA1_PERIPH_UART3_TX LL_DMA1_PERIPH_UART3_RX LL_DMA1_PERIPH_UART4_TX LL_DMA1_PERIPH_UART4_RX LL_DMA1_PERIPH_UART5_TX LL_DMA1_PERIPH_UART5_RX LL_DMA1_PERIPH_UART0_TX LL_DMA1_PERIPH_UART0_RX

Return values

  None |

Definition at line 2354 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_destination_width()

__STATIC_INLINE void ll_dma_set_destination_width | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dst_width
| ) |  |

Set Destination transfer width.

Register | BitsName
--- | ---
CTL_LO | DST_TR_WIDTH

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dst_width | This parameter can be one of the following values: LL_DMA_DDATAALIGN_BYTE LL_DMA_DDATAALIGN_HALFWORD LL_DMA_DDATAALIGN_WORD

Return values

  None |

Definition at line 1524 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_dst_scatter_dsc()

__STATIC_INLINE void ll_dma_set_dst_scatter_dsc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dst_scatter_dsc
| ) |  |

Set destination scatter count.

Register | BitsName
--- | ---
DSR | DSC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dst_scatter_dsc | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFF.

Return values

  None |

Definition at line 2587 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_dst_scatter_dsi()

__STATIC_INLINE void ll_dma_set_dst_scatter_dsi | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dst_scatter_dsi
| ) |  |

Set destination scatter interval.

Register | BitsName
--- | ---
DSR | DSI

Parameters

  DMAx | DMAx instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dst_scatter_dsi | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFF.

Return values

  None |

Definition at line 2536 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_dst_scatter_en()

__STATIC_INLINE void ll_dma_set_dst_scatter_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dst_scatter_en
| ) |  |

Set destination scatter enable.

Register | BitsName
--- | ---
CTL_LO | DST_SCATTER_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dst_scatter_en | This parameter can be one of the following values: LL_DMA_DST_SCATTER_ENABLE LL_DMA_DST_SCATTER_DISABLE

Return values

  None |

Definition at line 1252 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_dstat()

__STATIC_INLINE void ll_dma_set_dstat | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dstat
| ) |  |

Set deatination status after each block tranfer completed.

Register | BitsName
--- | ---
DSTAT | DSTAT

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dstat | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Return values

  None |

Definition at line 941 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_dstatar()

__STATIC_INLINE void ll_dma_set_dstatar | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | dstatar
| ) |  |

Set deatination status address after each block tranfer completed.

Register | BitsName
--- | ---
DSTATAR | DSTATAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  dstatar | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Return values

  None |

Definition at line 1043 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_llp_dst_en()

__STATIC_INLINE void ll_dma_set_llp_dst_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | llp_dst_en
| ) |  |

Set destination LLP enable.

Register | BitsName
--- | ---
CTL_LO | LLP_DST_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  llp_dst_en | This parameter can be one of the following values: LL_DMA_LLP_DST_ENABLE LL_DMA_LLP_DST_DISABLE

Return values

  None |

Definition at line 1146 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_llp_loc()

__STATIC_INLINE void ll_dma_set_llp_loc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | llp_loc
| ) |  |

Set LLP loc.

Register | BitsName
--- | ---
CTL_LO | LOC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  llp_loc | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.(LLI accesses are always 32-bit accesses)

Return values

  None |

Definition at line 1094 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_llp_src_en()

__STATIC_INLINE void ll_dma_set_llp_src_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | llp_src_en
| ) |  |

Set source LLP enable.

Register | BitsName
--- | ---
CTL_LO | LLP_SRC_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  llp_src_en | This parameter can be one of the following values: LL_DMA_LLP_SRC_ENABLE LL_DMA_LLP_SRC_DISABLE

Return values

  None |

Definition at line 1199 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_m2m_dst_address()

__STATIC_INLINE void ll_dma_set_m2m_dst_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | address
| ) |  |

Set the Memory to Memory Destination address.

Note
  Interface used for direction LL_DMA_DIRECTION_MEMORY_TO_MEMORY only.

Register | BitsName
--- | ---
DAR | DAR
CTL_LO | TT_FC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF

Return values

  None |

Definition at line 1970 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_m2m_src_address()

__STATIC_INLINE void ll_dma_set_m2m_src_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | address
| ) |  |

Set the Memory to Memory Source address.

Note
  Interface used for direction LL_DMA_DIRECTION_MEMORY_TO_MEMORY only.

Register | BitsName
--- | ---
SAR | SAR
CTL_LO | TT_FC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF

Return values

  None |

Definition at line 1942 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_max_amba_burst()

__STATIC_INLINE void ll_dma_set_max_amba_burst | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | beats
| ) |  |

Set Maximum AMBA Burst Length.

Register | BitsName
--- | ---
CFG_LO | MAX_ABRST

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  beats | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0x3FFU.

Return values

  None |

Definition at line 837 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_mode()

__STATIC_INLINE void ll_dma_set_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | mode
| ) |  |

Set DMA mode Single block or Multi block.

Note
  The circular buffer mode cannot be used if the memory-to-memory data transfer is configured on the selected Channel.

Register | BitsName
--- | ---
CFG_LO | RELOAD_DST

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  mode | This parameter can be one of the following values: LL_DMA_MODE_SINGLE_BLOCK LL_DMA_MODE_MULTI_BLOCK_SRC_RELOAD LL_DMA_MODE_MULTI_BLOCK_DST_RELOAD LL_DMA_MODE_MULTI_BLOCK_ALL_RELOAD

Return values

  None |

Definition at line 782 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_source_address()

__STATIC_INLINE void ll_dma_set_source_address | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | address
| ) |  |

Set the Source address.

Register | BitsName
--- | ---
SAR | SAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  address | Between Min_Data = 0 and Max_Data = 0xFFFFFFFF

Return values

  None |

Definition at line 1843 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_source_burst_length()

__STATIC_INLINE void ll_dma_set_source_burst_length | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | burst_length
| ) |  |

Set Source Burst Transaction Length.

Register | BitsName
--- | ---
CTL_LO | SRC_MSIZE

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  burst_length | This parameter can be one of the following values: LL_DMA_SRC_BURST_LENGTH_1 LL_DMA_SRC_BURST_LENGTH_4 LL_DMA_SRC_BURST_LENGTH_8

Return values

  None |

Definition at line 1579 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_source_increment_mode()

__STATIC_INLINE void ll_dma_set_source_increment_mode | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_increment_mode
| ) |  |

Set Source increment mode.

Register | BitsName
--- | ---
CTL_LO | SINC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_increment_mode | This parameter can be one of the following values: LL_DMA_SRC_INCREMENT LL_DMA_SRC_DECREMENT LL_DMA_SRC_NO_CHANGE

Return values

  None |

Definition at line 1359 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_source_peripheral()

__STATIC_INLINE void ll_dma_set_source_peripheral | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | peripheral
| ) |  |

Set source peripheral for DMA instance on Channel x.

Register | BitsName
--- | ---
CFG_HI | SRC_PER

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  peripheral | This parameter can be one of the following values: LL_DMA0_PERIPH_QSPI0_TX LL_DMA0_PERIPH_QSPI0_RX LL_DMA0_PERIPH_SPIM_TX LL_DMA0_PERIPH_SPIM_RX LL_DMA0_PERIPH_SPIS_TX LL_DMA0_PERIPH_SPIS_RX LL_DMA0_PERIPH_UART0_TX LL_DMA0_PERIPH_UART0_RX LL_DMA0_PERIPH_UART1_TX LL_DMA0_PERIPH_UART1_RX LL_DMA0_PERIPH_SNSADC LL_DMA0_PERIPH_OSPI_TX LL_DMA0_PERIPH_OSPI_RX LL_DMA0_PERIPH_UART2_TX LL_DMA0_PERIPH_UART2_RX LL_DMA0_PERIPH_I2C2_TX LL_DMA0_PERIPH_I2C2_RX LL_DMA0_PERIPH_UART3_TX LL_DMA0_PERIPH_UART3_RX LL_DMA0_PERIPH_I2C5_TX LL_DMA0_PERIPH_I2C5_RX LL_DMA0_PERIPH_I2C4_TX LL_DMA0_PERIPH_I2C4_RX LL_DMA0_PERIPH_UART4_TX LL_DMA0_PERIPH_UART4_RX LL_DMA0_PERIPH_QSPI1_TX LL_DMA0_PERIPH_QSPI1_RX LL_DMA0_PERIPH_I2C3_TX LL_DMA0_PERIPH_I2C3_RX LL_DMA1_PERIPH_OSPI_TX LL_DMA1_PERIPH_OSPI_RX LL_DMA1_PERIPH_QSPI2_TX LL_DMA1_PERIPH_QSPI2_RX LL_DMA1_PERIPH_I2S_M_TX LL_DMA1_PERIPH_I2S_M_RX LL_DMA1_PERIPH_I2S_S_TX LL_DMA1_PERIPH_I2S_S_RX LL_DMA1_PERIPH_PDM_TX LL_DMA1_PERIPH_QSPI1_TX LL_DMA1_PERIPH_QSPI1_RX LL_DMA1_PERIPH_I2C0_TX LL_DMA1_PERIPH_I2C0_RX LL_DMA1_PERIPH_I2C1_TX LL_DMA1_PERIPH_I2C1_RX LL_DMA1_PERIPH_SPIM_TX LL_DMA1_PERIPH_SPIM_RX LL_DMA1_PERIPH_DSPIM_TX LL_DMA1_PERIPH_DSPIM_RX LL_DMA1_PERIPH_QSPI1_TX_2 LL_DMA1_PERIPH_QSPI1_RX_2 LL_DMA1_PERIPH_UART3_TX LL_DMA1_PERIPH_UART3_RX LL_DMA1_PERIPH_UART4_TX LL_DMA1_PERIPH_UART4_RX LL_DMA1_PERIPH_UART5_TX LL_DMA1_PERIPH_UART5_RX LL_DMA1_PERIPH_UART0_TX LL_DMA1_PERIPH_UART0_RX

Return values

  None |

Definition at line 2248 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_source_width()

__STATIC_INLINE void ll_dma_set_source_width | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_width
| ) |  |

Set Source transfer width.

Register | BitsName
--- | ---
CTL_LO | SRC_TR_WIDTH

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_width | This parameter can be one of the following values: LL_DMA_SDATAALIGN_BYTE LL_DMA_SDATAALIGN_HALFWORD LL_DMA_SDATAALIGN_WORD

Return values

  None |

Definition at line 1469 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_src_gather_en()

__STATIC_INLINE void ll_dma_set_src_gather_en | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_gather_en
| ) |  |

Set source gather enable.

Register | BitsName
--- | ---
CTL_LO | SRC_GATHER_EN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_gather_en | This parameter can be one of the following values: LL_DMA_SRC_GATHER_ENABLE LL_DMA_SRC_GATHER_DISABLE

Return values

  None |

Definition at line 1305 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_src_gather_sgc()

__STATIC_INLINE void ll_dma_set_src_gather_sgc | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_gather_sgc
| ) |  |

Set source gather count.

Register | BitsName
--- | ---
SGR | SGC

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_gather_sgc | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFF.

Return values

  None |

Definition at line 2485 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_src_gather_sgi()

__STATIC_INLINE void ll_dma_set_src_gather_sgi | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | src_gather_sgi
| ) |  |

Set source gather interval.

Register | BitsName
--- | ---
SGR | SGI

Parameters

  DMAx | DMAx instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  src_gather_sgi | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFF.

Return values

  None |

Definition at line 2434 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_sstat()

__STATIC_INLINE void ll_dma_set_sstat | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | sstat
| ) |  |

Set source status after each block tranfer completed.

Register | BitsName
--- | ---
SSTAT | SSTAT

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  sstat | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Return values

  None |

Definition at line 889 of file gr55xx_ll_dma.h.

## ◆ ll_dma_set_sstatar()

__STATIC_INLINE void ll_dma_set_sstatar | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel,
|  | uint32_t | sstatar
| ) |  |

Set source status address after each block tranfer completed.

Register | BitsName
--- | ---
SSTATAR | SSTATAR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7
  sstatar | This parameter can be one of the following values: Between Min_Data = 0 and Max_Data = 0xFFFFFFFF.

Return values

  None |

Definition at line 992 of file gr55xx_ll_dma.h.

## ◆ ll_dma_src_stat_update_is_enable()

__STATIC_INLINE uint32_t ll_dma_src_stat_update_is_enable | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if Source Status Update Enable.

Register | BitsName
--- | ---
CFG_HI | SS_UPD_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 2093 of file gr55xx_ll_dma.h.

References LL_DMA_SRC_STAT_UPDATE_ENABLE.

## ◆ ll_dma_suspend_channel()

__STATIC_INLINE void ll_dma_suspend_channel | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Suspend a DMA channel transfer.

Note
  Suspends all DMA data transfers from the source until the ll_dma_resume_channel() function is called. The function may be called after enabling the DMA channel.

Register | BitsName
--- | ---
CFGL | CH_SUSP

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 581 of file gr55xx_ll_dma.h.